package com.shiro.config;

import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.servlet.HandlerExceptionResolver;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.swing.*;

/**
 * @作者: 夏容清
 * @创建日期: 2019/1/8 11:18
 * @说明: 处理异常信息
 */
@ControllerAdvice
public class MyControllerAdvice {

    /**
     * 全局异常捕捉处理
     */
    @ExceptionHandler(value = Exception.class)
    public ModelAndView errorHandler(Exception ex) {
        ModelAndView modelAndView = new ModelAndView();
        modelAndView.setViewName("error");
        String msg = ex.getMessage();
        String message = "";

        if(msg.indexOf("Subject does not have permission")!=-1){
            message = "对不起;您的权限不足,不能访问或操作该页面！";
            modelAndView.addObject("msg", message);
        }

        if(ex instanceof ArithmeticException){
            modelAndView.addObject("msg","您访问的信息出现算数异常!");
        }

        if(ex instanceof NullPointerException){
            modelAndView.addObject("msg","您访问的信息出现空指针异常!");
        }

        if(ex instanceof ClassNotFoundException){
            modelAndView.addObject("msg","您访问的信息出现指定的类不存在异常!");
        }

        if(ex instanceof ArrayIndexOutOfBoundsException){
            modelAndView.addObject("msg","您访问的信息出现数组下标越界异常!");
        }

        if(ex instanceof IllegalArgumentException){
            modelAndView.addObject("msg","您访问的信息出现方法的参数错误异常!");
        }

        if(ex instanceof IllegalAccessException){
            modelAndView.addObject("msg","您访问的信息出现没有访问权限异常!");
        }
        
        modelAndView.addObject("code", 100);

        return modelAndView;
    }

}
