package com.shiro.controller;

import org.springframework.boot.web.servlet.error.ErrorController;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;

/**
 * @作者: 夏容清
 * @创建日期: 2018/11/7 19:14
 * @说明: 异常处理类
 */
@Controller
public class ErrorPageController implements ErrorController {

    @Override
    public String getErrorPath() {
        return null;
    }

    private static final String ERROR_PATH = "/error";

    //获取statusCode:401,404,500
    @RequestMapping(value=ERROR_PATH,produces = {MediaType.TEXT_HTML_VALUE})
    public String handleError(HttpServletRequest request){
       Integer statusCode = (Integer) request.getAttribute("javax.servlet.error.status_code");
       if(statusCode == 401){
           return "/error-400";
       }else if(statusCode == 404){
           request.setAttribute("msg","您访问的页面不存在！");
           return "/error";
       }else{
           return "/deviant";
       }
    }

    @GetMapping("/to500")
    public String to500(HttpServletRequest request){
        throw new RuntimeException();
    }

}
